Package: org.apache.groovy.contracts.common.impl.lc

## [Java] Class PostconditionLifecycle

- org.apache.groovy.contracts.common.impl.lc.PostconditionLifecycle

-     public class PostconditionLifecycle
      extends BaseLifecycle

  Internal Lifecycle implementation for post-conditions.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)` Adds inherited default postconditions to the supplied constructor when needed.
    `` | `public void` | `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)` Adds inherited default postconditions to the supplied method when needed.
    `` | `public void` | `beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)` Ensures the helper method for computing `old` values exists before postconditions are injected.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseLifecycle` | `afterProcessingClassNode, afterProcessingConstructorNode, afterProcessingMethodNode, beforeProcessingClassNode, beforeProcessingConstructorNode, beforeProcessingMethodNode`

- - ### Method Detail

    - #### public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)

      Adds inherited default postconditions to the supplied constructor when needed.

      Parameters:
        `processingContextInformation` - the current processing context
        `classNode` - the declaring class
        `constructorNode` - the constructor to update

    - #### public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)

      Adds inherited default postconditions to the supplied method when needed.

      Parameters:
        `processingContextInformation` - the current processing context
        `classNode` - the declaring class
        `methodNode` - the method to update

    - #### public void beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)

      Ensures the helper method for computing `old` values exists before postconditions are injected.

      Parameters:
        `processingContextInformation` - the current processing context
        `classNode` - the class being prepared